.delivery-calc-modal{
    text-align: center;
    background: #0005;
    position: fixed;
    overflow: auto;
    z-index: 999;
    height: 100%;
    width: 100%;
    left: 0px;
    top: 0px;
}

.delivery-calc-offset{
    -webkit-transition: 0.3s all ease-in-out;
    -o-transition: 0.3s all ease-in-out;
    transition: 0.3s all ease-in-out;
    position: absolute;
    width: 550px;
    height: 900px;
    top: 65px;
    bottom: 0;
    right: -550px;
    background-color: #fff;

}

.delivery-calc-offset.active{
    right: 0;
}

.delivery-calc-head{
    display: flex;
    background-color: #333333;
    padding: 40px 28px;
    white-space: nowrap;
}

.delivery-calc-head__description{
    font-size: 24px;
    color: #fff;
    margin-right: 50px;

}

.delivery-calc-head__close{
    cursor: pointer;
}

.icon-truck{
    padding-right: 10px!important;
}

.delivery-calc-content{
    padding: 0 28px;
    color: #666666;
}

.delivery-calc-content__description{
    font-family: "roboto_condensed_regular";
    text-align: left;
    padding: 16px 0 30px;
}

.delivery-calc-form{
    display: flex;
}

.delivery-calc-form__left-block, .delivery-calc-form__right-block{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.delivery-calc-form__left-block{
    width: 10%;
}

.delivery-calc-form__left-block img{
    margin-top: 0!important;
}
.delivery-calc-form__right-block{
    position: relative;
    width: 90%;
    margin-left: 10px;
    font-family: "roboto_condensed_regular";
}

.delivery-calc-form__right-block .dropdown-list{
    position: absolute;
    top: 140px;
    left: 50%;
    transform: translateX(-50%);
    width: 89%;
    background-color: #fff;
    border: solid 2px #D3D3D3;
    cursor: pointer;
    padding-left: 10px;
    font-family: "roboto_condensedlight";
}

.delivery-calc-form__right-block .dropdown-list__item{
    padding: 6px 0;
    text-align: left;
}

.line{
    margin: 5px 0 5px 5px;
}

.icon_flag{
    margin-left: 3px;
}

.delivery-calc-form__wrap-input{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.delivery-calc-form__wrap-input:after{
    position: absolute;
    content: "";
    left: 50%;
    transform: translateX(-50%);
    width: 92%;
    height: 2px;
}

.wrap-from:after{
    background-color: #999999;
    bottom: -1px;
}

.wrap-to:after{
    background-color: #333333;
    bottom: 8px;
}

.wrap-from{
    padding: 0 16px;
    color: #999999;
    margin-bottom: 30px;
}

    
.wrap-from input[readonly]{
    color: #999999; 
}

.wrap-to{
    padding: 10px 16px;
    background-color: #F3F3F3;
    border-radius: 10px;
}

.delivery-calc-form__tooltip{
    font-size: 14px;
    margin-left: 3px;
}

.wrap-to input[type="text"]::-webkit-input-placeholder { color: #333333; }
.wrap-to input[type="text"]:-ms-input-placeholder { color: #333333; }
.wrap-to input[type="text"]::-ms-input-placeholder { color: #333333; }
.wrap-to input[type="text"]::placeholder { color: #333333; }

.delivery-calc-form__input{
    font-family: "roboto_condensed_regular";
    width: 100%;
    background: transparent;
    border: 0;
    font-size: 28px;
    height: 30px;
}

.delivery-calc-form__input:active, .delivery-calc-form__input:focus {
    outline: none !important;
}
.delivery-calc-form__input::-moz-focus-inner {
    border: 0 !important;
}


/*Чекбокс*/
.delivery-calc-table_wrap-checkbox {
    display: block;
    position: relative;
    cursor: pointer;
    font-size: 22px;
    user-select: none;
}

.delivery-calc-table_wrap-checkbox input[type=checkbox] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkmark {
    position: absolute;
    top: 0px;
    left: 0;
    height: 14px;
    width: 14px;
    border: solid #666 2px;
    border-radius: 2px;

}

.checkmark.first{
    top: 8px;
}

/*.delivery-calc-table_wrap-checkbox:hover input[type=checkbox] ~ .checkmark {*/
/*    background-color: #red;*/
/*}*/

.delivery-calc-table_wrap-checkbox input[type=checkbox]:checked ~ .checkmark {
    background-color: #ED1C24;
    border: transparent;
    height: 18px;
    width: 18px;
}

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.delivery-calc-table_wrap-checkbox input[type=checkbox]:checked ~ .checkmark:after {
    display: block;
}

.delivery-calc-table_wrap-checkbox .checkmark:after {
    left: 5px;
    top: 1px;
    width: 6px;
    height: 10px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}
/*Чекбокс*/

.delivery-calc-table{
    margin-top: 30px;
    text-align: left;
    font-family: "roboto_condensedlight";
}

.light-gray{
    background-color: #F9F9F9;
}
.gray{
    background-color: #F0F0F0;
}

.red-line{
    border-bottom: 2px solid #ED1C24;
}

.delivery-calc-table__row{
    display: flex;
    align-items: flex-start;
    padding: 10px 0;
}

.delivery-calc-table__cell{
    width: 33.3%;
}

.delivery-calc-table__cell-company{
    font-size: 15px;
    color: #000000;
    font-weight: bold;
}

.delivery-calc-table__cell-shipment, .delivery-calc-table__shipment-type-title{
    font-size: 13px;
    line-height: 1.2em;
}

.delivery-calc-table__shipment-type, .delivery-calc-table__shipment-type-title{
    padding-left: 10px;
}

.delivery-calc-table__shipment-type-title.with-checkbox{
    margin-left: 20px;
}


.delivery-calc-table__shipment-price, .delivery-calc-table__shipment-days{
    font-size: 21px;
    color: #6F6F6F;
}
.delivery-calc-table__shipment-price, .delivery-calc-table__shipment-sum, .delivery-calc-table__shipment-days{
    font-family: "roboto_condensed_regular";
}

.delivery-calc-table__shipment-price .currency, .delivery-calc-table__shipment-sum.currency{
    font-size: 15px;
}

.delivery-calc-table__shipment-sum{
    min-height: 35px;
    font-size: 28px;
    color: #ED1C24;
}

.none{
    display: none;
}

.preload{
    position: relative;
}
.preload span{
    display: none;
}
.preload:after{
    content: '';
    position: absolute;
    background: url(images/vector.svg) no-repeat center;
    background-size: cover;
    /* background-color: #000; */
    width: 22px;
    height: 22px;
    left: 0;
    top: 0;
    -webkit-animation:spin 1s linear infinite;
    -moz-animation:spin 1s linear infinite;
    animation:spin 1s linear infinite;
}

@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); }}

@media all and (max-width: 767px) {
    .delivery-calc-offset {
        width: 100%;
    }
    .delivery-calc-head__description {
        font-weight: bold;
        font-size: 14px;
    }
    .delivery-calc-head__description img {
        width: 20px;
        padding: 0 !important;
        margin-right: 10px;
    }
    .delivery-calc-head {
        align-items: center;
        padding: 0 15px;
        width: 100%;
        height: 60px;
        justify-content: center;
    }
    .delivery-calc-head__close img {
        width: 15px;
        height: 15px;
    }
    .delivery-calc-content {
        padding: 0 15px;
    }
    .delivery-calc-content__locations-icon.icon_tag {
        width: 26px;
    }
    .delivery-calc-content__locations-icon.icon_flag {
        width: 29px;
    }
    .delivery-calc-form__input {
        font-size: 20px;
    }
    .delivery-calc-form__left-block {
        padding-top: 24px;
    }
    .delivery-calc-table {
        margin-left: -15px;
        margin-right: -15px;
    }
    .delivery-calc-table__cell-shipment, .delivery-calc-table__shipment-type-title {
        font-size: 12px;
    }
    .delivery-calc-table__shipment-price, .delivery-calc-table__shipment-days {
        font-size: 18px;
    }
    .delivery-calc-table__shipment-sum {
        font-size: 23px;
    }
    .delivery-calc-table_wrap-checkbox .checkmark {
        width: 18px;
        height: 18px;
    }
    .delivery-calc-table_wrap-checkbox .checkmark::after {
        left: 6px;
        top: 2px;
    }
    .delivery-calc-table__shipment-type-title.with-checkbox {
        max-width: 80%;
    }
}
